> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client

> Create a new client. A `Client` is used to resolve flags from all
 applications of a particular type, like an iOS client. To resolve a flag
 you need to pass credentials from a specific `Client` and have the flag
 enabled for that client.



## OpenAPI

````yaml /api/iam/api/client.openapi.json post /v1/clients
openapi: 3.1.0
info:
  title: Confidence Client API
  version: 1.0.0
  description: API documentation for client
servers: []
security: []
paths:
  /v1/clients:
    post:
      summary: Create Client
      description: |-
        Create a new client. A `Client` is used to resolve flags from all
         applications of a particular type, like an iOS client. To resolve a flag
         you need to pass credentials from a specific `Client` and have the flag
         enabled for that client.
      operationId: Client.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: |-
                    The resource name of the client.
                     For example:
                     `clients/1bhq4c2zqigdzqg6ufni`
                displayName:
                  type: string
                  description: Human friendly name of the client.
                labels:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: string
                  description: General set of labels for this resource.
                owner:
                  type: string
                  description: >-
                    The owner of the resource. If not set will default to the
                    creator.
              required:
                - displayName
        required: true
      responses:
        '200':
          description: Returns a [Client](/api-reference/schemas/client).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.iam.v1.Client'
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.Client:
      title: Client
      type: object
      description: |-
        A Client allows an app to access certain Confidence services like
         resolving flags and sending events.
      properties:
        name:
          type: string
          description: |-
            The resource name of the client.
             For example:
             `clients/1bhq4c2zqigdzqg6ufni`
        displayName:
          type: string
          description: Human friendly name of the client.
        lastSeenTime:
          type: object
          description: The last time this client was used to resolve a flag.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General set of labels for this resource.
        createTime:
          type: object
          description: Time when the client was first created.
        updateTime:
          type: object
          description: Time when the client was last updated.
        deleteTime:
          type: object
          description: Time when the client was deleted.
        creator:
          type: string
          description: Reference to the identity that created this client.
        updater:
          type: string
          description: Reference to the identity that last updated this client.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
      required:
        - displayName
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````